Newer Wine, please!

Hi, can we get a newer Wine, if possible?
Here we see 6.2:
https://packages.gentoo.org/packages/app-emulation/wine-staging

The reason is I need to run Photoshop 2021, which needs DX12, hence Wine 6.1 would be needed, according to the WineHQ page.

Thank you.